test(robost_txt): make tekton specific test execution flow

Signed-off-by: Xe Iaso <me@xeiaso.net>
This commit is contained in:
Xe Iaso
2026-05-16 03:02:09 -04:00
parent 430e262c84
commit 51ae340a7b
2 changed files with 18 additions and 1 deletions
+1
View File
@@ -104,5 +104,6 @@ require (
tool (
github.com/TecharoHQ/anubis/cmd/anubis
github.com/TecharoHQ/anubis/utils/cmd/backoff-retry
github.com/jsha/minica
)
+17 -1
View File
@@ -4,4 +4,20 @@ set -euo pipefail
cd "$(dirname "$0")"
exec ./test.sh
function cleanup() {
pkill -P $$
}
trap cleanup EXIT SIGINT
go tool anubis --help 2>/dev/null || :
go run ../cmd/unixhttpd &
go tool anubis \
--policy-fname ./anubis.yaml \
--use-remote-address \
--serve-robots-txt \
--target=unix://$(pwd)/unixhttpd.sock &
go tool backoff-retry node ./test.mjs